<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
        "http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<hibernate-mapping package="sk.di.tipovacka.api.db">
    <typedef class="org.hibernate.type.EnumType" name="entityStatus">
        <param name="enumClass">sk.di.tipovacka.api.enums.EntityStatusEnum</param>
        <param name="type">12</param>
    </typedef>
    <class name="Muzstvo" table="T_MUZSTVO">
        <id column="C_MUZSTVO_ID" name="id">
            <generator class="native"/>
        </id>
        <property column="C_KOD" length="3" name="kod" type="string"/>
        <property column="C_NAZOV" length="64" name="nazov" type="string"/>
        <property column="C_NAZOV_KOD" length="64" name="nazovKod" type="string"/>
        <property column="C_STATUS" name="status" type="entityStatus"/>
    </class>
</hibernate-mapping>
